%define anolis_release 2

Name: libqmi
Version: 1.30.8
Release: %{anolis_release}%{?dist}
Summary: Support library to use the Qualcomm MSM Interface (QMI) protocol
License: LGPLv2+
URL: http://freedesktop.org/software/libqmi
Source: http://freedesktop.org/software/libqmi/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.56
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gudev-1.0) >= 232
BuildRequires: pkgconfig(mbim-glib) >= 1.18.0
BuildRequires: pkgconfig(qrtr-glib) >= 1.0.0
BuildRequires: make
BuildRequires: python3

%description
This package contains the libraries that make it easier to use QMI functionality
from applications that use glib.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header files for adding QMI support to applications that use glib
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header and pkg-config files for development
applications using QMI functionality from applications that use glib.


%package utils
Summary: Utilities to use the QMI protocol from the command line
Requires: %{name} = %{version}-%{release}
License: GPLv2+

%description utils
This package contains the utilities that make it easier to use QMI functionality
from the command line.


%prep
%autosetup -p1


%build
%configure --disable-static --enable-gtk-doc --enable-mbim-qmux
%{make_build} V=1


%install
%make_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference configure.ac

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/libqmi-glib.so.*
%{abidir}/libqmi-glib.dump
%{_libdir}/girepository-1.0/Qmi-1.0.typelib

%files doc
%doc NEWS AUTHORS README

%files devel
%{_includedir}/libqmi-glib/
%{_libdir}/pkgconfig/qmi-glib.pc
%{_libdir}/libqmi-glib.so
%{_datadir}/gtk-doc/html/libqmi-glib/
%{_datadir}/gir-1.0/Qmi-1.0.gir


%files utils
%license COPYING
%{_bindir}/qmicli
%{_bindir}/qmi-network
%{_bindir}/qmi-firmware-update
%{abidir}/qmicli-option.list
%{abidir}/qmi-network-option.list
%{abidir}/qmi-firmware-update-option.list
%{_datadir}/bash-completion
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/*


%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.30.8-2
- Rebuild for remove inappropriate build dependencies.

* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 1.30.8-1
- New version 1.30.8

* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.30.4-2
- optimise spec file & add doc package

* Wed Mar 09 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.30.4-1
- Update to 1.30.4
- Init for Anolis OS 23
